'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _style3 = require('./style.scss');

var _style4 = _interopRequireDefault(_style3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * px-alert-label component
 */
exports.default = function (_ref) {
  var label = _ref.label,
      _ref$type = _ref.type,
      type = _ref$type === undefined ? 'info' : _ref$type,
      badge = _ref.badge,
      children = _ref.children;

  var _isCircle = function _isCircle(t) {
    return t === 'unknown';
  };

  var _getPoints = function _getPoints(t) {
    if (t === 'important') {
      return '16.5,3 32,30 1,30';
    } else if (t === 'warning') {
      return '16,0.5 32.5,16 16,32.5, 0.5,16';
    } else if (t === 'info' || t === 'information') {
      return '6.6,32.5 26.4,32.5 32.5,13 16,0.5 0.5,13';
    } else {
      return '3,3 3,30 30,30 30,3';
    }
  };
  var classNames = (0, _classnames2.default)('alertlabel', type, badge);

  return _react2.default.createElement(
    'div',
    { className: 'px-alert-label', 'data-jsx-ext': _style4.default.__scopedHash
    },
    _react2.default.createElement(
      'span',
      { className: classNames, 'data-jsx-ext': _style4.default.__scopedHash
      },
      badge && _react2.default.createElement(
        'div',
        {
          'data-jsx-ext': _style4.default.__scopedHash
        },
        !_isCircle(type) && _react2.default.createElement(
          'svg',
          { className: 'svg-canvas', viewBox: '0 0 33 33', 'data-jsx-ext': _style4.default.__scopedHash
          },
          _react2.default.createElement('polygon', { id: 'polygon', points: _getPoints(type), 'data-jsx-ext': _style4.default.__scopedHash
          })
        ),
        _isCircle(type) && _react2.default.createElement(
          'svg',
          { className: 'svg-canvas', viewBox: '0 0 33 33', 'data-jsx-ext': _style4.default.__scopedHash
          },
          _react2.default.createElement('circle', { id: 'circle', cx: '16', cy: '16', r: '15', 'data-jsx-ext': _style4.default.__scopedHash
          })
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'label', 'data-jsx-ext': _style4.default.__scopedHash
        },
        _react2.default.createElement(
          'span',
          { className: 'label__text', 'data-jsx-ext': _style4.default.__scopedHash
          },
          label
        )
      )
    ),
    _react2.default.createElement(_style2.default, {
      styleId: _style4.default.__scopedHash,
      css: _style4.default.__scoped
    })
  );
};