'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

//IconSet - Take svg defs and make icon available
var IconSet = function (_React$Component) {
	_inherits(IconSet, _React$Component);

	function IconSet() {
		_classCallCheck(this, IconSet);

		return _possibleConstructorReturn(this, (IconSet.__proto__ || Object.getPrototypeOf(IconSet)).apply(this, arguments));
	}

	_createClass(IconSet, [{
		key: 'componentWillMount',
		value: function componentWillMount() {
			console.log('componentWillMount');
		}
	}, {
		key: 'componentDidMount',
		value: function componentDidMount() {
			console.log('componentDidMount');
			console.log('icon', this._createIconMap());
		}
	}, {
		key: 'getIconNames',
		value: function getIconNames() {
			this._icons = this._createIconMap();
			return Object.keys(this._icons).map(function (n) {
				return this.name + ':' + n;
			}, this);
		}
	}, {
		key: 'removeIcon',
		value: function removeIcon(element) {
			if (element._svgIcon) {
				(this.refs.root || element).removeChild(element._svgIcon);
				element._svgIcon = null;
			}
		}

		//Create a map of child svg elements by id

	}, {
		key: '_createIconMap',
		value: function _createIconMap() {
			var icons = Object.create(null);
			this.refs.root.querySelectorAll('[id]').forEach(function (icon) {
				icons[icon.id] = icon;
			});
			return icons;
		}
	}, {
		key: '_prepareSvgClone',
		value: function _prepareSvgClone(sourceSvg, size) {
			if (sourceSvg) {
				var content = sourceSvg.cloneNode(true),
				    svg = document.createElementNS('http://www.w3.org/2000/svg', 'svg'),
				    viewBox = content.getAttribute('viewBox') || '0 0 ' + size + ' ' + size,
				    cssText = 'pointer-events: none; display: block; width: 100%; height: 100%;';
				svg.setAttribute('viewBox', viewBox);
				svg.setAttribute('preserveAspectRatio', 'xMidYMid meet');
				svg.setAttribute('focusable', 'false');
				svg.style.cssText = cssText;
				svg.appendChild(content).removeAttribute('id');
				return svg;
			}
			return null;
		}
	}, {
		key: 'render',
		value: function render() {
			var children = this.props.children;

			return _react2.default.createElement(
				'div',
				{ ref: 'root' },
				children
			);
		}
	}]);

	return IconSet;
}(_react2.default.Component);

exports.default = IconSet;