'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _style3 = require('./style.scss');

var _style4 = _interopRequireDefault(_style3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * px-key-value-pair component
 */
exports.default = function (_ref) {
  var _ref$label = _ref.label,
      label = _ref$label === undefined ? 'px-key-value-pair' : _ref$label,
      value = _ref.value,
      size = _ref.size,
      uom = _ref.uom,
      children = _ref.children;


  var _getAdjustedSize = function _getAdjustedSize(s) {
    return s === 'alpha' ? 'delta' : s === 'beta' ? 'epsilon' : s === 'gamma' ? 'value' : s === 'delta' ? 'value' : 'zeta';
  };
  var baseClassnames = (0, _classnames2.default)('px-key-value-pair');
  var valueClassnames = (0, _classnames2.default)(size, 'kvp-value--' + size);

  return _react2.default.createElement(
    'div',
    { className: baseClassnames, 'data-jsx-ext': _style4.default.__scopedHash
    },
    _react2.default.createElement(
      'div',
      { className: 'label', 'data-jsx-ext': _style4.default.__scopedHash
      },
      label
    ),
    _react2.default.createElement(
      'div',
      { className: valueClassnames, 'data-jsx-ext': _style4.default.__scopedHash
      },
      value,
      uom && _react2.default.createElement(
        'span',
        { className: _getAdjustedSize(size), 'data-jsx-ext': _style4.default.__scopedHash
        },
        uom
      )
    ),
    _react2.default.createElement(_style2.default, {
      styleId: _style4.default.__scopedHash,
      css: _style4.default.__scoped
    })
  );
};