'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _pxOverlay = require('../px-overlay');

var _pxOverlay2 = _interopRequireDefault(_pxOverlay);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _style3 = require('./style.scss');

var _style4 = _interopRequireDefault(_style3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * px-modal component
 */
exports.default = function (_ref) {
  var style = _ref.style,
      _ref$modalHeading = _ref.modalHeading,
      modalHeading = _ref$modalHeading === undefined ? 'Modal' : _ref$modalHeading,
      btnModalNegative = _ref.btnModalNegative,
      onBtnModalNegativeClick = _ref.onBtnModalNegativeClick,
      btnModalPositive = _ref.btnModalPositive,
      onBtnModalPositiveClick = _ref.onBtnModalPositiveClick,
      visible = _ref.visible,
      onBackdropClick = _ref.onBackdropClick,
      _ref$btnModalPositive = _ref.btnModalPositiveDisabled,
      btnModalPositiveDisabled = _ref$btnModalPositive === undefined ? false : _ref$btnModalPositive,
      children = _ref.children;


  var modalClassnames = (0, _classnames2.default)('modal', 'flex', 'flex--middle', 'flex--center', 'full-height', { 'invisible': !visible });

  return _react2.default.createElement(
    'div',
    { className: 'px-modal', 'data-jsx-ext': _style4.default.__scopedHash
    },
    _react2.default.createElement(_pxOverlay2.default, { visible: visible, onOverlayClick: function onOverlayClick(e) {
        return onBackdropClick(e);
      } }),
    _react2.default.createElement(
      'div',
      { className: modalClassnames, role: 'dialog', 'data-jsx-ext': _style4.default.__scopedHash
      },
      _react2.default.createElement(
        'section',
        { className: 'modal__content', role: 'region', 'data-jsx-ext': _style4.default.__scopedHash
        },
        _react2.default.createElement(
          'h3',
          { className: 'modal__title epsilon weight--normal', 'data-jsx-ext': _style4.default.__scopedHash
          },
          modalHeading
        ),
        _react2.default.createElement(
          'div',
          {
            'data-jsx-ext': _style4.default.__scopedHash
          },
          children
        ),
        _react2.default.createElement(
          'div',
          { className: 'modal__buttons flex flex--right', 'data-jsx-ext': _style4.default.__scopedHash
          },
          _react2.default.createElement(
            'div',
            { className: 'flex', 'data-jsx-ext': _style4.default.__scopedHash
            },
            btnModalNegative && _react2.default.createElement(
              'button',
              { type: 'button', id: 'btnModalNegative', className: 'btn',
                onClick: function onClick(e) {
                  return onBtnModalNegativeClick(e);
                }, 'data-jsx-ext': _style4.default.__scopedHash
              },
              btnModalNegative
            ),
            btnModalPositive && _react2.default.createElement(
              'button',
              { type: 'button',
                disabled: btnModalPositiveDisabled,
                id: 'btnModalPositive',
                className: 'btn',
                onClick: function onClick(e) {
                  return onBtnModalPositiveClick(e);
                }, 'data-jsx-ext': _style4.default.__scopedHash
              },
              btnModalPositive
            )
          )
        )
      )
    ),
    _react2.default.createElement(_style2.default, {
      styleId: _style4.default.__scopedHash,
      css: _style4.default.__scoped
    })
  );
};