'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _style3 = require('./style.scss');

var _style4 = _interopRequireDefault(_style3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * px-navbar component
 */
exports.default = function (_ref) {
	var title = _ref.title,
	    subtitle = _ref.subtitle,
	    showBackButton = _ref.showBackButton,
	    backButtonLabel = _ref.backButtonLabel,
	    showMenuButton = _ref.showMenuButton,
	    onBackButtonClick = _ref.onBackButtonClick,
	    onMenuButtonClick = _ref.onMenuButtonClick,
	    rightContent = _ref.rightContent,
	    children = _ref.children;
	return _react2.default.createElement(
		'div',
		{ className: 'px-navbar', 'data-jsx-ext': _style4.default.__scopedHash
		},
		_react2.default.createElement(
			'nav',
			{ id: 'navbar', className: 'navbar', 'data-jsx-ext': _style4.default.__scopedHash
			},
			_react2.default.createElement(
				'div',
				{ className: 'navbar__inner', 'data-jsx-ext': _style4.default.__scopedHash
				},
				_react2.default.createElement(
					'div',
					{ id: 'left', className: 'navbar__left', 'data-jsx-ext': _style4.default.__scopedHash
					},
					showMenuButton && _react2.default.createElement(
						'button',
						{ className: 'navbar__button flex flex--center toggle__menu', onClick: onMenuButtonClick, 'data-jsx-ext': _style4.default.__scopedHash
						},
						'Menu'
					),
					showBackButton && _react2.default.createElement(
						'button',
						{ id: 'backButton', className: 'navbar__button', onClick: onBackButtonClick, 'data-jsx-ext': _style4.default.__scopedHash
						},
						backButtonLabel
					)
				),
				_react2.default.createElement(
					'div',
					{ className: 'navbar__center', 'data-jsx-ext': _style4.default.__scopedHash
					},
					_react2.default.createElement(
						'span',
						{ className: 'navbar__title', 'data-jsx-ext': _style4.default.__scopedHash
						},
						_react2.default.createElement(
							'span',
							{
								'data-jsx-ext': _style4.default.__scopedHash
							},
							title
						)
					),
					_react2.default.createElement(
						'span',
						{ className: 'navbar__subtitle', 'data-jsx-ext': _style4.default.__scopedHash
						},
						_react2.default.createElement(
							'span',
							{
								'data-jsx-ext': _style4.default.__scopedHash
							},
							subtitle
						)
					)
				),
				_react2.default.createElement(
					'div',
					{ id: 'right', className: 'navbar__right', 'data-jsx-ext': _style4.default.__scopedHash
					},
					rightContent
				)
			)
		),
		_react2.default.createElement(_style2.default, {
			styleId: _style4.default.__scopedHash,
			css: _style4.default.__scoped
		})
	);
};