'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _pxBrand = require('../px-brand');

var _pxBrand2 = _interopRequireDefault(_pxBrand);

var _index = require('./index.scss');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: Use next/link
var Link = function Link(_ref) {
	var label = _ref.label,
	    href = _ref.href,
	    children = _ref.children;
	return React.createElement(
		'a',
		{ className: 'c-header__link', title: label, href: href },
		children
	);
};

exports.default = function (_ref2) {
	var _ref2$title = _ref2.title,
	    title = _ref2$title === undefined ? 'Header' : _ref2$title,
	    subtitle = _ref2.subtitle,
	    powered = _ref2.powered,
	    _ref2$nav = _ref2.nav,
	    nav = _ref2$nav === undefined ? [{
		label: 'Home',
		href: '/'
	}] : _ref2$nav;
	return React.createElement(
		'header',
		{ className: 'px-header', 'data-jsx-ext': _index2.default.__scopedHash
		},
		React.createElement(
			'div',
			{ className: 'c-header', 'data-jsx-ext': _index2.default.__scopedHash
			},
			React.createElement(
				'div',
				{ className: 'c-header__left', 'data-jsx-ext': _index2.default.__scopedHash
				},
				React.createElement(
					'div',
					{ className: 'c-header__brand', 'data-jsx-ext': _index2.default.__scopedHash
					},
					React.createElement(
						'span',
						{ className: 'c-header__logo', 'data-jsx-ext': _index2.default.__scopedHash
						},
						React.createElement(_pxBrand2.default, { size: '32', color: '#FFF' })
					)
				),
				React.createElement(
					'span',
					{ className: 'c-header__title epsilon', 'data-jsx-ext': _index2.default.__scopedHash
					},
					title
				),
				subtitle && React.createElement(
					'div',
					{ className: 'is-hidden@sm-', 'data-jsx-ext': _index2.default.__scopedHash
					},
					React.createElement('span', { className: 'c-header__seperator', 'data-jsx-ext': _index2.default.__scopedHash
					}),
					React.createElement(
						'span',
						{ className: 'c-header__subtitle', 'data-jsx-ext': _index2.default.__scopedHash
						},
						subtitle
					)
				)
			),
			React.createElement(
				'div',
				{ className: 'c-header__right', 'data-jsx-ext': _index2.default.__scopedHash
				},
				React.createElement(
					'nav',
					{ className: 'c-header__nav', 'data-jsx-ext': _index2.default.__scopedHash
					},
					nav && nav.map(function (item, index) {
						return React.createElement(
							Link,
							item,
							item.label
						);
					})
				),
				powered && React.createElement(
					'div',
					{ className: 'c-header__powered is-hidden@xs-', 'data-jsx-ext': _index2.default.__scopedHash
					},
					powered
				)
			)
		),
		React.createElement(_style2.default, {
			styleId: _index2.default.__scopedHash,
			css: _index2.default.__scoped
		})
	);
};