'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _style3 = require('./style.scss');

var _style4 = _interopRequireDefault(_style3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * px-progress-bar component
 */
exports.default = function (_ref) {
  var _ref$value = _ref.value,
      value = _ref$value === undefined ? 0 : _ref$value,
      _ref$max = _ref.max,
      max = _ref$max === undefined ? 100 : _ref$max,
      _ref$min = _ref.min,
      min = _ref$min === undefined ? 0 : _ref$min,
      infinite = _ref.infinite,
      children = _ref.children;

  var baseClasses = (0, _classnames2.default)('px-progress-bar', { 'infinite': infinite });

  var _computeRatio = function _computeRatio(v) {
    return v < 0 ? 0 : v > 100 ? 1 : v / 100;
  };
  var transform = 'scaleX(' + _computeRatio(value) + ')';
  var fillStyle = {};
  fillStyle.transform = fillStyle.WebkitTransform = transform;

  return _react2.default.createElement(
    'div',
    { className: baseClasses, role: 'progressbar',
      'aria-valuemin': min,
      'aria-valuemax': max,
      'data-jsx-ext': _style4.default.__scopedHash
    },
    _react2.default.createElement(
      'div',
      { id: 'background', className: 'background', 'data-jsx-ext': _style4.default.__scopedHash
      },
      _react2.default.createElement('div', { id: 'fill', className: 'fill', style: fillStyle, 'data-jsx-ext': _style4.default.__scopedHash
      })
    ),
    _react2.default.createElement(_style2.default, {
      styleId: _style4.default.__scopedHash,
      css: _style4.default.__scoped
    })
  );
};