var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './style.scss'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./style.scss'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.style);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _style) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _style2 = _interopRequireDefault(_style);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var Accordion = function (_React$Component) {
    _inherits(Accordion, _React$Component);

    function Accordion(props) {
      _classCallCheck(this, Accordion);

      var _this = _possibleConstructorReturn(this, (Accordion.__proto__ || Object.getPrototypeOf(Accordion)).call(this, props));

      _this.state = {
        open: true
      };
      _this.onClick = _this.onClick.bind(_this);
      return _this;
    }

    _createClass(Accordion, [{
      key: 'onClick',
      value: function onClick() {
        this.setState(function (prevState, props) {
          return {
            open: !prevState.open
          };
        });
      }
    }, {
      key: 'render',
      value: function render() {
        var open = this.state && this.state.open;
        var _props = this.props,
            _props$headerValue = _props.headerValue,
            headerValue = _props$headerValue === undefined ? 'px-accordion' : _props$headerValue,
            status = _props.status,
            disabled = _props.disabled,
            showAction = _props.showAction,
            children = _props.children;

        var baseClasses = (0, _classnames2.default)('px-accordion', {
          'px-accordion--children': children
        });

        var headerClasses = (0, _classnames2.default)('accordion__header', 'flex', 'flex--row', 'flex--justify', 'u-p--', 'heading--subsection');

        var iconClasses = (0, _classnames2.default)('accordion__icon', 'actionable--action', 'flex', 'flex--center', 'flex--middle');

        var collapseClasses = (0, _classnames2.default)('iron-collapse', { 'iron-collapse-opened': open }, { 'iron-collapse-closed': !open });

        return _react2.default.createElement(
          'div',
          { className: baseClasses, 'data-jsx-ext': _style2.default.__scopedHash
          },
          _react2.default.createElement(
            'section',
            { className: 'accordion__container', 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'div',
              { className: headerClasses, onClick: this.onClick, disabled: disabled, 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                'div',
                { className: 'flex flex--middle', 'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement(
                  'span',
                  { className: iconClasses, 'data-jsx-ext': _style2.default.__scopedHash
                  },
                  open && '-',
                  !open && '+'
                ),
                _react2.default.createElement(
                  'span',
                  {
                    'data-jsx-ext': _style2.default.__scopedHash
                  },
                  headerValue
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'flex flex--middle', 'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement(
                  'span',
                  { className: 'accordion__status', 'data-jsx-ext': _style2.default.__scopedHash
                  },
                  status
                ),
                showAction && _react2.default.createElement(
                  'span',
                  { className: iconClasses, 'data-jsx-ext': _style2.default.__scopedHash
                  },
                  'action'
                )
              )
            ),
            _react2.default.createElement(
              'div',
              { id: 'collapse', ref: 'collapse', className: collapseClasses, 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                'div',
                { className: 'accordion__body u-p--', 'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement(
                  'div',
                  {
                    'data-jsx-ext': _style2.default.__scopedHash
                  },
                  children
                )
              )
            )
          ),
          _react2.default.createElement(_style4.default, {
            styleId: _style2.default.__scopedHash,
            css: _style2.default.__scoped
          })
        );
      }
    }]);

    return Accordion;
  }(_react2.default.Component);

  exports.default = Accordion;
});