var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './style.scss', 'classnames'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./style.scss'), require('classnames'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.style, global.classnames);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _style, _classnames) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _style2 = _interopRequireDefault(_style);

  var _classnames2 = _interopRequireDefault(_classnames);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var ActionSheet = function (_React$Component) {
    _inherits(ActionSheet, _React$Component);

    function ActionSheet(props) {
      _classCallCheck(this, ActionSheet);

      var _this = _possibleConstructorReturn(this, (ActionSheet.__proto__ || Object.getPrototypeOf(ActionSheet)).call(this, props));

      _this.onOverlayClick = _this.onOverlayClick.bind(_this);
      return _this;
    }

    _createClass(ActionSheet, [{
      key: 'onOverlayClick',
      value: function onOverlayClick() {
        this.toggle();
      }
    }, {
      key: 'toggle',
      value: function toggle() {
        this.setState({ opened: !this.state.opened });
        console.log('toggle');
      }
    }, {
      key: 'open',
      value: function open() {
        console.log('open');
      }
    }, {
      key: 'close',
      value: function close() {
        console.log('close');
      }
    }, {
      key: 'render',
      value: function render() {
        var _props = this.props,
            opened = _props.opened,
            onOverlayClick = _props.onOverlayClick,
            children = _props.children;


        //base
        var baseClasses = (0, _classnames2.default)('px-action-sheet', { 'px-action-sheet--is-opened': opened });

        //overlay
        var overlayClasses = (0, _classnames2.default)('c-action-dialog__mask', { 'c-action-dialog__mask--is-opened': opened });

        //style
        var classes = (0, _classnames2.default)('c-action-sheet', { 'c-action-sheet--is-open': opened });

        return _react2.default.createElement(
          'div',
          { className: baseClasses, ref: 'baseElement', 'data-jsx-ext': _style2.default.__scopedHash
          },
          _react2.default.createElement('div', { id: 'overlay', ref: 'overlay', onClick: onOverlayClick, className: overlayClasses, 'data-jsx-ext': _style2.default.__scopedHash
          }),
          _react2.default.createElement(
            'div',
            { id: 'sheet', ref: 'sheet', className: classes, 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'div',
              { id: 'actions', ref: 'actions', className: 'c-action-sheet__actions', 'data-jsx-ext': _style2.default.__scopedHash
              },
              children
            )
          ),
          _react2.default.createElement(_style4.default, {
            styleId: _style2.default.__scopedHash,
            css: _style2.default.__scoped
          })
        );
      }
    }]);

    return ActionSheet;
  }(_react2.default.Component);

  exports.default = ActionSheet;
});