var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './style.scss'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./style.scss'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.style);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _style) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _style2 = _interopRequireDefault(_style);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = function (_ref) {
    var _ref$label = _ref.label,
        label = _ref$label === undefined ? 'px-alert-message' : _ref$label,
        messageTitle = _ref.messageTitle,
        message = _ref.message,
        _ref$action = _ref.action,
        action = _ref$action === undefined ? 'dismiss' : _ref$action,
        visible = _ref.visible,
        expanded = _ref.expanded,
        _ref$type = _ref.type,
        type = _ref$type === undefined ? 'information' : _ref$type,
        _ref$autoDismiss = _ref.autoDismiss,
        autoDismiss = _ref$autoDismiss === undefined ? 5000 : _ref$autoDismiss,
        _ref$language = _ref.language,
        language = _ref$language === undefined ? 'en' : _ref$language,
        children = _ref.children;


    var baseClasses = (0, _classnames2.default)('alert-message', { 'alert-message--visible': visible }, 'shadow-notification', 'flex', 'flex--left', 'flex--stretch');
    var severityClasses = (0, _classnames2.default)('severity', 'flex', 'flex--center', type);

    return _react2.default.createElement(
      'div',
      { className: 'px-alert-message' },
      _react2.default.createElement(
        'div',
        { className: baseClasses, 'data-jsx-ext': _style2.default.__scopedHash
        },
        _react2.default.createElement('div', { className: severityClasses, 'data-jsx-ext': _style2.default.__scopedHash
        }),
        _react2.default.createElement(
          'div',
          { className: 'message-column flex flex--middle', 'data-jsx-ext': _style2.default.__scopedHash
          },
          _react2.default.createElement(
            'div',
            { className: 'message-container', 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'div',
              { id: 'message', className: 'message', 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                'span',
                { className: 'title u-mr--', 'data-jsx-ext': _style2.default.__scopedHash
                },
                messageTitle
              ),
              _react2.default.createElement(
                'span',
                {
                  'data-jsx-ext': _style2.default.__scopedHash
                },
                message
              ),
              _react2.default.createElement(
                'div',
                {
                  'data-jsx-ext': _style2.default.__scopedHash
                },
                children
              )
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'action flex flex--middle flex--center', 'data-jsx-ext': _style2.default.__scopedHash
          },
          action === 'dismiss' && _react2.default.createElement(
            'button',
            {
              onClick: function onClick(e) {
                undefined.close(e);
              },
              className: 'btn btn--bare dismiss', 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'svg',
              { viewBox: '0 0 22 22', preserveAspectRatio: 'xMidYMid meet', focusable: 'false', 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                'g',
                {
                  'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement('path', { strokeMiterlimit: '10', d: 'M3 19L19 3M3 3l16 16', 'data-jsx-ext': _style2.default.__scopedHash
                })
              )
            )
          ),
          action === 'acknowledge' && _react2.default.createElement(
            'button',
            { id: 'actionButton',
              onClick: function onClick(e) {
                undefined.close(e);
              },
              className: 'btn btn--tertiary', 'data-jsx-ext': _style2.default.__scopedHash
            },
            'OK'
          )
        ),
        _react2.default.createElement(_style4.default, {
          styleId: _style2.default.__scopedHash,
          css: _style2.default.__scoped
        })
      )
    );
  };
});