var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './style.scss', '../../px-drawer', '../../px-navbar', '../../px-drawer/px-nav-drawer'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./style.scss'), require('../../px-drawer'), require('../../px-navbar'), require('../../px-drawer/px-nav-drawer'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.style, global.pxDrawer, global.pxNavbar, global.pxNavDrawer);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _style, _pxDrawer, _pxNavbar, _pxNavDrawer) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _style2 = _interopRequireDefault(_style);

  var _pxDrawer2 = _interopRequireDefault(_pxDrawer);

  var _pxNavbar2 = _interopRequireDefault(_pxNavbar);

  var _pxNavDrawer2 = _interopRequireDefault(_pxNavDrawer);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var DrawerLayout = function (_React$Component) {
    _inherits(DrawerLayout, _React$Component);

    function DrawerLayout(props) {
      _classCallCheck(this, DrawerLayout);

      var _this = _possibleConstructorReturn(this, (DrawerLayout.__proto__ || Object.getPrototypeOf(DrawerLayout)).call(this, props));

      _this.isAttached = false;
      _this.state = {
        isNarrow: false
      };
      window.addEventListener('resize', _this.resetLayout.bind(_this));
      return _this;
    }

    _createClass(DrawerLayout, [{
      key: 'toggleClass',
      value: function toggleClass(name, onoff, el) {
        if (el) {
          el.classList.toggle(name);
        } else {
          if (onoff) {
            this.refs.baseElement.classList.add(name);
          } else {
            this.refs.baseElement.classList.remove(name);
          }
        }
        console.log('toggleClass', name);
      }
    }, {
      key: 'notifyResize',
      value: function notifyResize(name, el) {
        //console.log('notifyResize', name);
      }
    }, {
      key: 'debounce',
      value: function debounce(name, func, wait, immediate) {
        console.log('DrawerLayout.debounce', name);
        var timeout;
        var context = this,
            args = arguments;
        var later = function later() {
          timeout = null;
          if (!immediate) {
            func.apply(context, args);
          }
        };
        var callNow = immediate && !timeout;
        clearTimeout(timeout);
        timeout = setTimeout(later, wait);
        if (callNow) {
          func.apply(context, args);
        }
      }
    }, {
      key: 'componentWillMount',
      value: function componentWillMount() {
        console.log('[DrawerLayout.componentWillMount]', this);
      }
    }, {
      key: 'componentWillUnmount',
      value: function componentWillUnmount() {

        window.removeEventListener('resize', this.resetLayout.bind(this));
      }
    }, {
      key: 'componentDidMount',
      value: function componentDidMount() {
        this.isAttached = true;
      }
    }, {
      key: 'resetLayout',
      value: function resetLayout() {
        if (!this.isAttached) {
          console.warn('notAttached');
          //return;
        }
        var narrow = !window.matchMedia('(min-width: ' + this.props.responsiveWidth + ')').matches;
        var baseElement = this.baseElement;
        var drawer = this.drawer;
        var drawerWidth = drawer && drawer.getWidth() || 250;
        var contentContainer = this.contentContainer;
        var navbar = this.navbar;

        console.log('narrow', this.props.responsiveWidth, narrow, drawerWidth);
        this.setState({ isNarrow: narrow });

        if (narrow) {
          //drawer.props.opened = false;
          //drawer.props.persistent = false;
          //baseElement.classList.add('is-narrow');
          //contentContainer.classList.add('is-narrow');
          //contentContainer.style.marginLeft = '';
          //contentContainer.style.marginRight = '';
          if (navbar && navbar.fixed) {
            navbar.style.left = '';
          }
        } else {
          //baseElement.classList.remove('is-narrow');
          //contentContainer.classList.remove('is-narrow');
          if (navbar && navbar.fixed) {
            //navbar.style.left = drawerWidth + 'px';
          }
          if (drawer.props.align == 'right') {
            contentContainer.style.marginLeft = '';
            contentContainer.style.marginRight = drawerWidth + 'px';
          } else {
            console.warn('changing contentContainer marginLeft');
            contentContainer.style.marginLeft = drawerWidth + 'px';
            contentContainer.style.marginRight = '';
          }
        }
        //this.toggleClass('is-narrow', narrow);
        this.notifyResize();
      }
    }, {
      key: '_handleDrawerToggle',
      value: function _handleDrawerToggle() {
        var drawer = this.drawer;
        drawer.toggle();
      }
    }, {
      key: 'render',
      value: function render() {
        var _this2 = this;

        var _props = this.props,
            _props$title = _props.title,
            title = _props$title === undefined ? 'Drawer Layout' : _props$title,
            headerContent = _props.headerContent,
            drawerContent = _props.drawerContent,
            navbarContent = _props.navbarContent,
            children = _props.children;
        var isNarrow = this.state.isNarrow;


        var baseClassNames = (0, _classnames2.default)('px-drawer-layout', { 'px-drawer-layout--is-narrow': isNarrow });

        console.log('DrawerLayout.render', this.props);
        return _react2.default.createElement(
          'div',
          { className: baseClassNames, ref: function ref(el) {
              _this2.baseElement = el;
            }, 'data-jsx-ext': _style2.default.__scopedHash
          },
          _react2.default.createElement(
            'div',
            { className: 'flex', 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'button',
              { role: 'tab', onClick: function onClick(e) {
                  return _this2._handleDrawerToggle(e);
                }, className: 'header__menu js-toggle-menu', title: 'Toggle nav menu', 'data-jsx-ext': _style2.default.__scopedHash
              },
              'Toggle nav menu',
              _react2.default.createElement(
                'svg',
                { viewBox: '0 0 22 22', preserveAspectRatio: 'xMidYMid meet', focusable: 'false', 'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement(
                  'g',
                  {
                    'data-jsx-ext': _style2.default.__scopedHash
                  },
                  _react2.default.createElement('path', { strokeMiterlimit: '10', d: 'M3 19L19 3M3 3l16 16', 'data-jsx-ext': _style2.default.__scopedHash
                  })
                )
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'flex__item', 'data-jsx-ext': _style2.default.__scopedHash
              },
              headerContent
            )
          ),
          _react2.default.createElement(
            'div',
            { id: 'container', className: 'l-drawer-layout', ref: function ref(el) {
                _this2.container = el;
              }, 'data-jsx-ext': _style2.default.__scopedHash
            },
            _react2.default.createElement(
              'div',
              { id: 'drawerContainer', className: 'l-drawer-layout__drawer', ref: function ref(el) {
                  _this2.drawerContainer = el;
                }, 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                _pxNavDrawer2.default,
                {
                  ref: function ref(el) {
                    _this2.drawer = el;
                  },
                  persistent: true,
                  opened: isNarrow },
                drawerContent
              )
            ),
            _react2.default.createElement(
              'div',
              { id: 'contentContainer', className: 'l-drawer-layout__container ', ref: function ref(el) {
                  _this2.contentContainer = el;
                }, 'data-jsx-ext': _style2.default.__scopedHash
              },
              _react2.default.createElement(
                'nav',
                { id: 'navbarContent', 'data-jsx-ext': _style2.default.__scopedHash
                },
                _react2.default.createElement(_pxNavbar2.default, { title: title,
                  showMenuButton: isNarrow,
                  onMenuButtonClick: function onMenuButtonClick(e) {
                    return _this2._handleDrawerToggle(e);
                  } })
              ),
              _react2.default.createElement(
                'div',
                { id: 'content', 'data-jsx-ext': _style2.default.__scopedHash
                },
                children
              )
            )
          ),
          _react2.default.createElement(_style4.default, {
            styleId: _style2.default.__scopedHash,
            css: _style2.default.__scoped
          })
        );
      }
    }]);

    return DrawerLayout;
  }(_react2.default.Component);

  exports.default = DrawerLayout;


  DrawerLayout.defaultProps = {
    forceNarrow: false,
    responsiveWidth: '768px',
    narrow: false
  };
});