var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './style.scss'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./style.scss'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.style);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _classnames, _style) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _style2 = _interopRequireDefault(_style);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = function (_ref) {
    var _ref$value = _ref.value,
        value = _ref$value === undefined ? 0 : _ref$value,
        _ref$max = _ref.max,
        max = _ref$max === undefined ? 100 : _ref$max,
        _ref$min = _ref.min,
        min = _ref$min === undefined ? 0 : _ref$min,
        infinite = _ref.infinite,
        children = _ref.children;

    var baseClasses = (0, _classnames2.default)('px-progress-bar', { 'infinite': infinite });

    var _computeRatio = function _computeRatio(v) {
      return v < 0 ? 0 : v > 100 ? 1 : v / 100;
    };
    var transform = 'scaleX(' + _computeRatio(value) + ')';
    var fillStyle = {};
    fillStyle.transform = fillStyle.WebkitTransform = transform;

    return _react2.default.createElement(
      'div',
      { className: baseClasses, role: 'progressbar',
        'aria-valuemin': min,
        'aria-valuemax': max,
        'data-jsx-ext': _style2.default.__scopedHash
      },
      _react2.default.createElement(
        'div',
        { id: 'background', className: 'background', 'data-jsx-ext': _style2.default.__scopedHash
        },
        _react2.default.createElement('div', { id: 'fill', className: 'fill', style: fillStyle, 'data-jsx-ext': _style2.default.__scopedHash
        })
      ),
      _react2.default.createElement(_style4.default, {
        styleId: _style2.default.__scopedHash,
        css: _style2.default.__scoped
      })
    );
  };
});