var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', './px-table-row-style.scss', 'classnames'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('./px-table-row-style.scss'), require('classnames'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.pxTableRowStyle, global.classnames);
    global.pxTableRow = mod.exports;
  }
})(this, function (exports, _react, _pxTableRowStyle, _classnames) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _pxTableRowStyle2 = _interopRequireDefault(_pxTableRowStyle);

  var _classnames2 = _interopRequireDefault(_classnames);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = function (_ref) {
    var _ref$title = _ref.title,
        title = _ref$title === undefined ? 'Row Title' : _ref$title,
        subtitle = _ref.subtitle,
        body = _ref.body,
        image = _ref.image,
        labelLeft = _ref.labelLeft,
        labelRight = _ref.labelRight,
        iconLeft = _ref.iconLeft,
        iconRight = _ref.iconRight,
        editMode = _ref.editMode,
        tappable = _ref.tappable,
        underlayContent = _ref.underlayContent,
        rowContent = _ref.rowContent,
        children = _ref.children;


    var baseClassnames = (0, _classnames2.default)('table-row', { 'table-row--tappable': tappable });

    var mediaClassnames = (0, _classnames2.default)('table-row__media', { 'table-row__media--icon': iconLeft || iconRight }, { 'table-row__media--left': iconLeft }, { 'table-row__media--right': iconRight });

    return _react2.default.createElement(
      'div',
      { className: 'px-table-row' },
      _react2.default.createElement(
        'div',
        { className: baseClassnames },
        labelLeft && _react2.default.createElement(
          'span',
          { className: 'table-row__label table-row__label--left' },
          labelLeft
        ),
        image && _react2.default.createElement(
          'div',
          { className: 'table-row__media table-row__media--image' },
          _react2.default.createElement('img', { src: image, alt: title })
        ),
        (iconLeft || iconLeft) && _react2.default.createElement(
          'div',
          { className: mediaClassnames },
          iconLeft
        ),
        editMode && _react2.default.createElement(
          'div',
          { className: 'table-row__media table-row__media--icon table-row__media--right' },
          _react2.default.createElement(
            'button',
            { className: 'btn btn--bare table-row__handle' },
            'hamburger'
          )
        ),
        labelRight && _react2.default.createElement(
          'span',
          { className: 'table-row__label table-row__label--right' },
          labelRight
        ),
        _react2.default.createElement(
          'div',
          { className: 'table-row__content' },
          title && _react2.default.createElement(
            'span',
            { className: 'table-row__title' },
            title
          ),
          subtitle && _react2.default.createElement(
            'span',
            { className: 'table-row__subtitle' },
            subtitle
          ),
          body && _react2.default.createElement(
            'span',
            { className: 'table-row__body' },
            body
          ),
          rowContent
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'table-row__content' },
        children
      ),
      _react2.default.createElement(
        'div',
        { id: 'underlay', className: 'flex flex--stretch' },
        underlayContent
      ),
      _react2.default.createElement(_style2.default, {
        styleId: _pxTableRowStyle2.default.__hash,
        css: _pxTableRowStyle2.default
      })
    );
  };
});