var _style3 = require('styled-jsx/style');

var _style4 = _interopRequireDefault(_style3);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', '../base-component', 'classnames', './sass/px-tab.scss', './px-tab', './style.scss'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('../base-component'), require('classnames'), require('./sass/px-tab.scss'), require('./px-tab'), require('./style.scss'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.baseComponent, global.classnames, global.pxTab, global.pxTab, global.style);
    global.index = mod.exports;
  }
})(this, function (exports, _react, _baseComponent, _classnames, _pxTab, _pxTab3, _style) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _baseComponent2 = _interopRequireDefault(_baseComponent);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _pxTab2 = _interopRequireDefault(_pxTab);

  var _pxTab4 = _interopRequireDefault(_pxTab3);

  var _style2 = _interopRequireDefault(_style);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var Pane = function Pane(props) {
    return _react2.default.createElement(
      'div',
      null,
      props.children
    );
  };

  /**
   * px-tabs component
   */

  var Tabs = function (_BaseComponent) {
    _inherits(Tabs, _BaseComponent);

    function Tabs(props) {
      _classCallCheck(this, Tabs);

      var _this = _possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call(this, props));

      _this.displayName = 'Tabs';
      _this.state = {
        selected: _this.props.selected
      };
      _this.name = 'tabs';
      return _this;
    }

    _createClass(Tabs, [{
      key: 'handleClick',
      value: function handleClick(index, event) {
        this.log('handleClick', index);
        event.preventDefault();
        this.setState({
          selected: index
        });
      }
    }, {
      key: '_renderTitles',
      value: function _renderTitles() {
        function labels(child, index) {
          var selected = this.state.selected === index;
          var baseClasses = (0, _classnames2.default)('px-tab', { 'iron-selected': selected });
          return _react2.default.createElement(
            'li',
            { key: index,
              className: baseClasses },
            _react2.default.createElement(
              'a',
              { href: '#',
                onClick: this.handleClick.bind(this, index),
                className: 'tab-title' },
              child.props.label
            )
          );
        }
        return _react2.default.createElement(
          'ul',
          { className: 'tabs-container__nav flex' },
          this.props.children && this.props.children.map(labels.bind(this))
        );
      }
    }, {
      key: '_renderContent',
      value: function _renderContent() {
        return _react2.default.createElement(
          'div',
          { className: 'tabs-container__content' },
          this.props.children && this.props.children[this.state.selected]
        );
      }
    }, {
      key: 'render',
      value: function render() {
        var cssClasses = (0, _classnames2.default)('px-tabs', 'root');
        return _react2.default.createElement(
          'div',
          { className: cssClasses },
          _react2.default.createElement(
            'div',
            { className: 'tabs-container' },
            this._renderTitles(),
            this._renderContent()
          ),
          _react2.default.createElement(_style4.default, {
            styleId: _style2.default.__hash,
            css: _style2.default
          }),
          _react2.default.createElement(_style4.default, {
            styleId: _pxTab2.default.__hash,
            css: _pxTab2.default
          })
        );
      }
    }]);

    return Tabs;
  }(_baseComponent2.default);

  Tabs.defaultProps = {
    selected: 0
  };
  exports.default = Tabs;
});