var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react', 'classnames', './px-tree-node.scss', './px-tree-icon'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'), require('classnames'), require('./px-tree-node.scss'), require('./px-tree-icon'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.classnames, global.pxTreeNode, global.pxTreeIcon);
    global.pxTreeNode = mod.exports;
  }
})(this, function (exports, _react, _classnames, _pxTreeNode, _pxTreeIcon) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _react2 = _interopRequireDefault(_react);

  var _classnames2 = _interopRequireDefault(_classnames);

  var _pxTreeNode2 = _interopRequireDefault(_pxTreeNode);

  var _pxTreeIcon2 = _interopRequireDefault(_pxTreeIcon);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  function _possibleConstructorReturn(self, call) {
    if (!self) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return call && (typeof call === "object" || typeof call === "function") ? call : self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
  }

  var TreeNode = function (_React$Component) {
    _inherits(TreeNode, _React$Component);

    function TreeNode(props) {
      _classCallCheck(this, TreeNode);

      var _this = _possibleConstructorReturn(this, (TreeNode.__proto__ || Object.getPrototypeOf(TreeNode)).call(this, props));

      _this.state = {
        isSelected: props.selected || false,
        isActive: props.active || false
      };
      return _this;
    }

    _createClass(TreeNode, [{
      key: 'handleClick',
      value: function handleClick(e) {
        console.log('TreeNode.handleClick', e);
        if (this.props.onClick) {
          this.props.onClick(this.props.item);
          this.setState({ isActive: !this.state.isActive });
        }
      }
    }, {
      key: '_renderNodes',
      value: function _renderNodes(items) {
        var _this2 = this;

        return _react2.default.createElement(
          'div',
          { className: 'tree-node__content' },
          items && items.map(function (obj, index) {
            return _this2._renderNode(obj, _this2.state);
          })
        );
      }
    }, {
      key: '_renderNode',
      value: function _renderNode(props, state) {
        var _this3 = this;

        var label = props.label,
            icon = props.icon,
            selected = props.selected,
            item = props.item,
            items = props.items;
        var isSelected = state.isSelected,
            isActive = state.isActive;

        var treeNodeClasses = (0, _classnames2.default)({ 'tree__leaf': !items }, { 'selected': isSelected }, { 'tree__branch': items && items.length });
        return _react2.default.createElement(
          'div',
          { className: treeNodeClasses },
          _react2.default.createElement(
            'div',
            { onClick: function onClick(e) {
                _this3.handleClick(e);
              }, className: 'tree__label' },
            items && _react2.default.createElement(_pxTreeIcon2.default, { className: 'tree-node__icon', open: isActive }),
            icon && _react2.default.createElement(
              'span',
              { className: 'tree-node__icon' },
              icon
            ),
            _react2.default.createElement(
              'span',
              null,
              label
            )
          ),
          this._renderNodes(items)
        );
      }
    }, {
      key: 'render',
      value: function render() {
        var children = this.props.children;

        var baseClasses = (0, _classnames2.default)('px-tree-node', { 'active': this.state.isActive });
        return _react2.default.createElement(
          'div',
          { className: baseClasses, 'data-jsx-ext': _pxTreeNode2.default.__scopedHash
          },
          this._renderNode(this.props, this.state),
          children,
          _react2.default.createElement(_style2.default, {
            styleId: _pxTreeNode2.default.__scopedHash,
            css: _pxTreeNode2.default.__scoped
          })
        );
      }
    }]);

    return TreeNode;
  }(_react2.default.Component);

  exports.default = TreeNode;
});